<div class="header-block-property">
	<div class="container-fluid">
		<div class="row">
			<div class="col-12">
				<h1>
					<?php echo $property['Property']['bedrooms']; ?> bedroom <?php echo $property['Property']['type']; ?>
					<span class="hidden-xs">| <?php echo implode(', ', array($property['Property']['street'], $property['Property']['town'], $property['Property']['county'])); ?></span>
				</h1>
			</div>
		</div>
	</div>
</div>


<div class='content property-detail'>
	<div class="container-fluid">
		<div class="row">
			<div class="col-xs-12 col-sm-3" id="proprety-details-left">

				<h2>
					<?php echo $this->Number->currency($property['Property']['price'], 'GBP', array('places' => 0)); ?>
					<span>|
						<?php echo $property['Property']['bedrooms']; ?> bedroom <?php echo $property['Property']['type']; ?>
					</span>
				</h2>

				<p class="p-mortgage">
					<a href="<?php echo $this->Html->url('/mortgages'); ?>">
						<i class="fa fa-pencil-square"></i> How much would a Mortgage be each month?
					</a>
				</p>

				<p class="address">
					<?php echo implode(', ', array($property['Property']['street'], $property['Property']['town'], $property['Property']['county'])); ?>
				</p>

				<p class="property-code">Property Code:  <?php echo $property['Property']['id']; ?></p>

				<!-- NOTE!!! Facebook and twitter icons need setting up

				https://developers.facebook.com/docs/plugins/like-button

				https://about.twitter.com/resources/buttons#tweet

				-->

				<div id="fb-root"></div>
				<div class="facebook">
					<iframe src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fplugins%2F&amp;width&amp;layout=button_count&amp;action=like&amp;show_faces=false&amp;share=false&amp;height=21" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:21px;" allowTransparency="true">
					</iframe>
				</div>

				<div class="twitter">
					<a href="https://twitter.com/share" class="twitter-share-button">Tweet</a>
					<script>
						!function(d, s, id) {
							var js, fjs = d.getElementsByTagName(s)[0], p = /^http:/.test(d.location) ? 'http' : 'https';
							if (!d.getElementById(id)) {
								js = d.createElement(s);
								js.id = id;
								js.src = p + '://platform.twitter.com/widgets.js';
								fjs.parentNode.insertBefore(js, fjs);
							}
						}(document, 'script', 'twitter-wjs');
					</script>
				</div>

				<a href="" class="btn">Arrange a Viewing <i class="fa fa-caret-right"></i></a>
				<div class="row">
					<div class="col-md-5 call">Or call us on</div>
					<div class="col-md-7">
						<i class="fa fa--call fa-phone"></i>
						<span class="call"><?php echo $property['Branch']['name']; ?>:</span>
						<?php echo $telephone; ?>
					</div>
				</div>

				<div class="hr"></div>

				<div class="like-this">
					<i class="fa fa-thumbs-up"></i> I like this property
				</div>

				<div class="dont-like">
					<i class="fa fa-thumbs-down"></i> I don’t like this property
				</div>

				<div class="dont-like-hidden">
					<form>
						<input type="radio" name="dont-like" value="Too Expensive"><label>Too expensive</label>
						<input type="radio" name="dont-like" value="Poor Location"><label>Poor Location </label><br/>
						<input type="radio" name="dont-like" value="Needs Work"><label>Needs Work</label>
						<input type="radio" name="dont-like" value="other"><label>Other</label><br/>
						<a class="submit" href="">Submit Reason <i class="fa fa-caret-right"></i></a>

						<br/>
					</form>
				</div>


			</div>

			<div class="col-xs-12 col-sm-9">
				<div class='gallery gallery--carousel'>
					<?php foreach ($property['Image'] as $image): ?>
							<div><?php echo $this->Image->resize($image, array('width' => 825, 'height' => 465, 'crop' > true)); ?></div>
						<?php endforeach; ?>
				</div>
				<div class='carousel'>
					<?php foreach ($property['Image'] as $image): ?>
							<div><?php echo $this->Image->resize($image, array('width' => 90, 'height' => 75, 'crop' > true)); ?></div>
						<?php endforeach; ?>
				</div>

			</div>
		</div>

		<div class="row">
			<div class='tabs'>
				<div class='tabs__buttons'>
					<ul>
						<?php if (!empty($property['EpcImage'])): ?><li><a href='#tabs__5'>EPCs</a></li><?php endif; ?>
						<li><a href='#tabs__4'>Street View</a></li>
						<li><a href='#tabs__3'>View Map</a></li>
						<?php if (!empty($property['FloorplanImage'])): ?><li><a href='#tabs__2'>Floor Plans</a></li><?php endif; ?>
						<li><a href='#tabs__1'>Full Description</a></li>
					</ul>
				</div>

				<div id='tabs__1'>
					<?php if (isset($property['Paragraph']) && !empty($property['Paragraph'])): ?>
							<?php foreach ($property['Paragraph'] as $paragraph): ?>
								<?php
								if (empty($paragraph['text'])) { // skip any paras without contnet
									continue;
								}
								?>
								<h3><?php echo $paragraph['name']; ?></h3>
								<p><?php echo $paragraph['text']; ?></p>
							<?php endforeach; ?>
						<?php endif; ?>
				</div>

				<div id='tabs__2'>
					<?php if (!empty($property['FloorplanImage'])): ?>
							<?php foreach ($property['FloorplanImage'] as $image): ?>
								<div><?php echo $this->Image->resize($image, array('width' => 1140)); ?></div>
							<?php endforeach; ?>
						<?php endif; ?>
				</div>

				<div id='tabs__3'>
					<div class="map" data-lat="<?php echo $property['Property']['latitude']; ?>" data-lng="<?php echo $property['Property']['longitude']; ?>" data-zoomLevel="16" style="width: 1140px; height: 500px;"></div>
				</div>

				<div id='tabs__4'>
					<div class="street_view" data-lat="<?php echo $property['Property']['latitude']; ?>" data-long="<?php echo $property['Property']['longitude']; ?>" style="width: 1140px; height: 500px; float: left;"></div>
				</div>

				<div id='tabs__5'>
					<?php if (!empty($property['EpcImage'])): ?>
							<?php foreach ($property['EpcImage'] as $image): ?>
								<div><?php echo $this->Image->resize($image, array('width' => 1140)); ?></div>
							<?php endforeach; ?>
						<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
</div>